<?php
/**
 * 创建渠道推广二维码
 * $Id: miniplay_traffic_creat_qr.php,v 1.1 2015/10/08 11:18:46 zongbiao Exp $
 * @author wulk
 * @access public
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestNumber("id");
$miniplay_traffic = MiniplayTrafficMst::getById($id);
if ($miniplay_traffic == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

$path = "";
$path_obj = PromotionPath::getById($miniplay_traffic->path);
$path = $path_obj->path . "?cid=" . $miniplay_traffic->channel_id;

//获取access_token
$appid = "wx7744cad94e45a84b";
$appMst = AppMst::getByAppId($appid);
$app_secret = $appMst->app_secret;
$url = "https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid=".$appid."&secret=".$app_secret;
$result = file_get_contents($url);//就是一个普通的get方式调用https接口的请求，我就不写出来了，自己找去。
$res = json_decode($result,true); //json字符串转数组
$access_token = $res["access_token"];

//调用接口获取图片
$arr = array();
$arr["path"] = $path;
$arr["width"] = 600;
$arr["auto_color"] = true;
$arr["line_color"] = "{'r':'0','g':'0','b':'0'}";
$data = json_encode($arr);

$url = "https://api.weixin.qq.com/cgi-bin/wxaapp/getwxacode?access_token=" . $access_token;
$curl = curl_init(); // 启动一个CURL会话      
curl_setopt($curl, CURLOPT_URL, $url); // 要访问的地址                  
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, 0); // 对认证证书来源的检测    
curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, 2); // 从证书中检查SSL加密算法是否存在      
curl_setopt($curl, CURLOPT_HTTPHEADER, array('Expect:')); //解决数据包大不能提交     
curl_setopt($curl, CURLOPT_FOLLOWLOCATION, 1); // 使用自动跳转      
curl_setopt($curl, CURLOPT_AUTOREFERER, 1); // 自动设置Referer      
curl_setopt($curl, CURLOPT_POST, 1); // 发送一个常规的Post请求      
curl_setopt($curl, CURLOPT_POSTFIELDS, $data); // Post提交的数据包      
curl_setopt($curl, CURLOPT_TIMEOUT, 30); // 设置超时限制防止死循     
curl_setopt($curl, CURLOPT_HEADER, 0); // 显示返回的Header区域内容      
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); // 获取的信息以文件流的形式返回 
	   
$tmpInfo = curl_exec($curl); // 执行操作
curl_close($curl);
//输出图片
header('Content-Type: image/jpeg');
print_r($tmpInfo);
/**
if(curl_errno($ch)) {
return false;
}else{
return $tmpInfo;
}
*/

?>